/**************************************************************

phfun.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "comfun.h"
#include "cmpack_common.h"
#include "phot.h"
#include "phfun.h"

void ClearStarList(CmpackPhotFrame *frame)
{
	CmpackPhotStar *ptr, *next; 
	
	if (frame->first) {
		ptr = frame->first;
		while (ptr) {
			next = ptr -> next;
			cmpack_free(ptr);
			ptr = next;
		}
	}
	frame->first = NULL;
	frame->last  = NULL;
}

void AddStar(CmpackPhotFrame *frame, CmpackPhotStar **rec)
{
	CmpackPhotStar *s = cmpack_malloc(sizeof(CmpackPhotStar)); 
	memset(s, 0, sizeof(CmpackPhotStar));
	if (frame->last==NULL) {
		frame->first = s;
		frame->last  = s;
	} else {
		frame->last -> next = s;
		frame->last = s;
	}
	*rec = s;
	frame->nstar++;
}
