/**************************************************************

amasslist_dlg.h (C-Munipack project)
The 'Plot air mass coefficients' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MAKEAMASSCURVE_DLG_H
#define CMPACK_MAKEAMASSCURVE_DLG_H

#include <gtk/gtk.h>

#include "helper_classes.h"
#include "frameset_class.h"

// 
// Initial dialog
//
class CMakeAMassCurveDlg
{
public:
	CMakeAMassCurveDlg(GtkWindow *pParent);
	~CMakeAMassCurveDlg();

	void Execute(void);

private:
	GtkWindow		*m_pParent;
	GtkWidget		*m_pDlg, *m_ProcBox, *m_AllBtn, *m_SelBtn;
	GtkWidget		*m_ObjName, *m_ObjBtn, *m_RA, *m_Dec;
	GtkWidget		*m_ObjLabel, *m_RALabel, *m_RAUnit, *m_DecLabel, *m_DecUnit;
	GtkWidget		*m_LocName, *m_LocBtn, *m_Lon, *m_Lat;
	GtkWidget		*m_LocLabel, *m_LonLabel, *m_LonUnit, *m_LatLabel, *m_LatUnit;
	CObjectCoords	m_ObjCoords;
	CLocation		m_Location;
	
	void SetData(void);
	void GetData(void);
	void UpdateControls(void);
	void EditObjectCoords(void);
	void EditLocation(void);

	bool OnResponseDialog(gint response_id);
	void OnButtonClicked(GtkWidget *pBtn);
	bool OnCloseQuery(void);

	static void response_dialog(GtkDialog *pDlg, gint response_id, CMakeAMassCurveDlg *pMe);
	static void button_clicked(GtkWidget *button, CMakeAMassCurveDlg *pDlg);
};

#endif
