/**************************************************************

makelightcurve_dlg.h (C-Munipack project)
'Make light curve' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MAKE_LIGHT_CURVE_DLG_H
#define CMPACK_MAKE_LIGHT_CURVE_DLG_H

#include <gtk/gtk.h>

#include "helper_classes.h"
#include "lightcurve_dlg.h"

//
// Make catalog file 
//
class CMakeLightCurveDlg
{
public:
	// Constructor
	CMakeLightCurveDlg(GtkWindow *pParent);

	// Destructor
	~CMakeLightCurveDlg();

	// Execute the dialog
	void Execute(void);

private:
	GtkWindow		*m_pParent;
	GtkWidget		*m_pDlg, *m_AllBtn, *m_SelBtn, *m_OptionsBtn;
	GtkWidget		*m_OptBox, *m_HelCor, *m_AirMass, *m_InstMag;
	GtkWidget		*m_ObjName, *m_ObjBtn, *m_RA, *m_Dec;
	GtkWidget		*m_ObjLabel, *m_RALabel, *m_RAUnit, *m_DecLabel, *m_DecUnit;
	GtkWidget		*m_LocName, *m_LocBtn, *m_Lon, *m_Lat;
	GtkWidget		*m_LocLabel, *m_LonLabel, *m_LonUnit, *m_LatLabel, *m_LatUnit;
	bool			m_ComputeHC, m_ComputeAM, m_ShowInstMag;
	CObjectCoords	m_ObjCoords;
	CLocation		m_Location;

	void UpdateControls(void);
	void UpdateObjectCoords(void);
	void UpdateLocation(void);
	void EditObjectCoords(void);
	void EditLocation(void);
	void EditPreferences(void);

	bool OnResponseDialog(gint response_id);
	void OnButtonClicked(GtkWidget *pBtn);
	void OnButtonToggled(GtkWidget *pBtn);
	bool OnCloseQuery(void);

	static void response_dialog(GtkDialog *widget, gint response_id, CMakeLightCurveDlg *pDlg);
	static void button_clicked(GtkWidget *button, CMakeLightCurveDlg *pDlg);
	static void button_toggled(GtkWidget *widget, CMakeLightCurveDlg *pDlg);
};

#endif
