/**************************************************************

varfind_dlg.h (C-Munipack project)
The 'Find variables' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MAKE_VARFIND_DLG_H
#define CMPACK_MAKE_VARFIND_DLG_H

#include <gtk/gtk.h>

// 
// Initial dialog (Process frames or import from an external file)
//
class CMakeVarFindDlg
{
public:
	CMakeVarFindDlg(GtkWindow *pParent);
	~CMakeVarFindDlg();

	void Execute(void);

private:
	GtkWindow	*m_pParent;
	GtkWidget	*m_pDlg, *m_AllBtn, *m_SelBtn, *m_ImportBtn;
	GtkWidget	*m_PathBox, *m_PathLabel, *m_Path, *m_PathBtn, *m_OptionsBtn;
	bool		m_Reference, m_Import;

	void UpdateControls(void);
	void ChangeFilePath(void);
	void EditPreferences(void);
	bool OnResponseDialog(gint response_id);
	void OnToggled(GtkWidget *widget);
	void OnButtonClicked(GtkWidget *widget);

	static void response_dialog(GtkDialog *pDlg, gint response_id, CMakeVarFindDlg *pMe);
	static void toggled(GtkWidget *widget, CMakeVarFindDlg *pMe);
	static void button_clicked(GtkWidget *widget, CMakeVarFindDlg *pMe);
};

#endif
